#! /bin/sh
#
#  Copyright 2000, 2001, 2002 Laurent Wacrenier
#
#  This file is part of libhome
#
#  libhome is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as
#  published by the Free Software Foundation; either version 2 of the
#  License, or (at your option) any later version.
#
#  libhome is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with libhome; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
#  USA
#
# $Id: libhome.sh.in,v 1.8 2005/04/11 11:26:48 lwa Exp $


prefix=/usr
sysconfdir=/etc
exec_prefix=/usr
libdir=/usr/lib64
includedir=/usr/include
CPPFLAGS="-Wall -I/usr/include/mysql -Wa,--compress-debug-sections -gdwarf-4 -fvar-tracking-assignments -frecord-gcc-switches -Wstrict-aliasing=2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fstack-protector-all -fPIC -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fno-strict-aliasing -fwrapv -fPIC -g -I/usr/include -I/usr/include/db53"
LIBS="-ldb -llber -lldap   -rdynamic -L/usr/lib64 -lmysqlclient -lpthread -lz -lm -lrt -lssl -lcrypto -ldl -L/usr/lib64 -lpq"
MYSQL_CFLAGS="-I/usr/include/mysql -Wa,--compress-debug-sections -gdwarf-4 -fvar-tracking-assignments -frecord-gcc-switches -Wstrict-aliasing=2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fstack-protector-all -fPIC -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fno-strict-aliasing -fwrapv -fPIC -g"
PGSQL_CFLAGS=""
DB_CFLAGS="-I/usr/include/db53"
LDAP_CFLAGS=""
VERSION="0.10.2"

case "$1" in
-l|--lib*)
	echo " ${LIBS} -L${libdir} -lhome"
	;;
-i|--inc*)
	echo " -I${includedir}/home" ;;
--mysql)
        echo " $MYSQL_CFLAGS" ;;
--pgsql)
        echo " $PGSQL_CFLAGS" ;;
--db)
        echo " $DB_CFLAGS" ;;
--ldap)
        echo " $LDAP_CFLAGS" ;;
-V|--version)
        echo "$VERSION";;
*)
	cat << EOT >&2
`basename "$0"` option
  -V
  --version      display version number ($VERSION)

  -l
  --libraries    show libraries to use for linking libhome

  -i
  --includes     show includes to use for compiling simple programs

  --mysql        show MySQL includes used for compilation
  --pgsql        show PGSQL includes used for compilation
  --db           show DB includes used for compilation
  --ldap         show LDAP includes used for compilation
EOT
;;
esac
